---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: pm
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/pm-backend:production_3d7e8ea6

        envs:
          - name: USERS_INTERNAL_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: CELERY_REDIS_HOST
            value:
              _default: "redis.pm.svc.cluster.local"

          - name: RESOURCES_INTERNAL_HOST
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000"

          - name: EAV_HOST
            value:
              _default: "http://eav-service.eav.svc.cluster.local:8000"

          - name: EAV_API_PREFIX
            value:
              _default: "/api/v0"

          - name: EAV_API_PREFIX_V1
            value:
              _default: "/api/v1"

          - name: TRACING_INSECURE
            value:
              _default: "False"

          - name: SERVER_ENABLE_SYNC_RESOURCES
            value:
              _default: "True"

          - name: SERVER_DELETED_TASK_MAX_AGE_DAYS
            value:
              _default: "1"

          - name: SERVER_EXPIRED_TASK_NOTIFICATION_HOUR
            value:
              _default: "17"

          - name: LANG
            value:
              _default: "C.UTF-8"

          - name: LC_ALL
            value:
              _default: "C.UTF-8"

          - name: PYTHONUTF8
            value:
              _default: "1"

          - name: CACHE_SSL
            value:
              _default: "False"

          - name: CACHE_SSL_CA_CERTS
            value:
              _default: ""

          - name: CACHE_ENABLE
            value:
              _default: "False"

          - name: CLICKHOUSE_ENABLE
            value:
              _default: "False"

          - name: KAFKA_ENABLE
            value:
              _default: "False"

          - name: AUTH_PUBLIC_TOKEN_URL
            value:
              _default: "https://lk.sarex.io/api/token/public/"

          - name: SERVER_HOST
            value:
              _default: "https://lk.sarex.io"

          - name: SERVER_API_HOST
            value:
              _default: "https://api.sarex.io"

          - name: SERVER_DEBUG
            value:
              _default: "False"

          - name: SERVER_ALLOWED_HOSTS
            value:
              _default: '["*"]'

          - name: SERVER_USE_OTEL
            value:
              _default: "False"

          - name: SERVER_VERIFY_SSL
            value:
              _default: "False"

          - name: SERVER_LOG_LEVEL
            value:
              _default: "INFO"
